<template>
  <section class="hero is-fullheight-with-navbar">
    <div class="tile is-ancestor" style="margin-bottom:20px; padding:0px;">
      <div class="tile is-vertical is-9">
        <div class="tile is-parent">
          <article class="tile is-child notification" style="margin: 0px; padding:0px;">
            <div class="content" style="padding:10px;">
                  <chartjs-line
                    v-bind:backgroundcolor="bgColor"
                    v-bind:beginzero="beginZero"
                    v-bind:fill="fill"
                    v-bind:bind="true"
                    v-bind:bordercolor="borderColor"
                    v-bind:data="data[radio]"
                    v-bind:datalabel="datalabel"
                    v-bind:labels="labelsDates"
                  />
            </div>
          </article>
        </div>
      </div>

      <div class="tile is-parent">
        <article class="tile is-child notification">
          <div class="content title">
            <h2>Paramètres :</h2>
            <div class="content">
              <input class="is-checkradio is-success is-large has-background-color" id="temperature" v-model="radio" v-bind:name="name" type="radio" value="temperature">
              <label for="temperature">Température</label>
              <br>
              <input class="is-checkradio is-success is-large has-background-color" id="humidite" v-model="radio" v-bind:name="name" type="radio" value="humidite">
              <label for="humidite">Humidité</label>
              <br>
              <input class="is-checkradio is-success is-large has-background-color" id="pression" v-model="radio" v-bind:name="name" type="radio" value="pression">
              <label for="pression">Pression</label>
            </div>
          </div>
        </article>
      </div>
    </div>
  </section>
  
</template>

<script src="path/to/chartjs/dist/Chart.js"></script>

<script>
import axios from "axios";

export default {

  data() {
    return {
      timer: null,
      beginZero: false,
      name: "radios",
      fill: true,
      bgColor: "rgba(100, 203, 104, 0.5)",
      borderColor: "rgba(100, 203, 104, 0.5)",
      datalabel: "Données en fonction du temps",
      radio: "temperature" // bouton enfoncé par défaut
    }
  },

  props: {
    id: String
  },

  computed: {
    pompiers () {
			return this.$store.state.donnee.donnee
    },

    labelsDates() {
      let tab = []
      tab = this.$store.state.donnee.donnee.filter(capteur => (capteur.devaddr === this.id)).map(donnee => donnee.datetime)
      return tab
    },

    data() {
      let temperature = []
      let humidite = []
      let pression = []

      temperature = this.$store.state.donnee.donnee.filter(capteur => (capteur.devaddr === this.id)).map(donnee => donnee.temp)
      humidite = this.$store.state.donnee.donnee.filter(capteur => (capteur.devaddr === this.id)).map(donnee => donnee.rh)
      pression = this.$store.state.donnee.donnee.filter(capteur => (capteur.devaddr === this.id)).map(donnee => donnee.press)

      return {temperature, humidite, pression}
    },

    intervalleSynchro() {
        return this.$store.state.parametres.intervalle
    }
  },

  mounted() {
    this.$store.dispatch("donnee/updateDonnee");
    this.timer = setInterval(() => {this.$store.dispatch("donnee/updateDonnee")},this.intervalleSynchro);
  },

  destroyed() {
    clearInterval(this.timer)
  }
}

</script>

<style lang="css" scoped>
  .grid {
    display: grid;
    row-gap: 2rem;
  }
</style>
